import { expect } from "chai";
import * as windows from "../ambassador/src/client/windows";
import * as tabs from "../ambassador/src/client/tabs";
import * as keys from "../ambassador/src/client/keys";

const SERVER_URL = "localhost:11111";

describe("tab test", () => {
  let targetWindow;
  let targetTab;

  before(() => {
    return windows.create().then((win) => {
      targetWindow = win;
      return tabs.create(win.id, SERVER_URL).then((tab) => {
        targetTab = tab;
      });
    });
  });

  after(() => {
    return windows.remove(targetWindow.id);
  });

  it('delete tab', () => {
    return Promise.resolve().then(() => {
      return keys.press(targetTab.id, 'd');
    }).then(() => {
      return windows.get(targetWindow.id);
    }).then((after) => {
      expect(after.tabs).to.have.lengthOf(1);
    });
  });
});
